Bug 304092 - Change "Connection closed" and "Connected" strings
Summary: Change "Connection closed" and "Connected" strings
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-26 13:54 UTC by Martin Klapetek
Modified: 2012-08-06 16:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klapetek 2012-07-26 13:54:45 UTC
These shows up when you or the other part goes offline (the channel closes). The messages should however be the same as the any other presence-changed messages - ie. "The user is now offline", "The user is now available".
Comment 1 Martin Klapetek 2012-08-06 16:55:26 UTC
Git commit c29f348f4137bea383d1c061d69bb15c56694633 by Martin Klapetek.
Committed on 06/08/2012 at 18:50.
Pushed by mklapetek into branch 'master'.

Handle connection states and print a service message when it changes

Until now we print "Connected" and "Connection closed" strings when the channel is connected or invalidated. This patch watches for channel connection and prints the corresponding presence as a service message, ie. "You are now offline" and "You are now marked as %1" instead of those "Connected"/"Connection closed" strings.

Reviewed-by: David Edmundson
FIXED-IN: 0.5

M  +21   -15   lib/chat-widget.cpp
M  +2    -0    lib/chat-widget.h

http://commits.kde.org/telepathy-text-ui/c29f348f4137bea383d1c061d69bb15c56694633